Несколько уязвимостей в Vavoom

Дата публикации:
27.08.2007
Дата изменения:
27.08.2007
Всего просмотров:
1494
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4533
CVE-2007-4534
CVE-2007-4535
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Vavoom 1.x
Уязвимые версии: Vavoom 1.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость форматной строки обнаружена в команде "SAY" в файле sv_main.cpp. Удаленный пользователь может с помощью специально сформированного chat сообщения вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "VThinker::BroadcastPrintf()" файла p_thinker.cpp. Удаленный пользователь может с помощью слишком длинного chat сообщения вызвать переполнение буера и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки утверждения в функции "VStr::Resize()" файла str.cpp. Удаленный пользователь может с помощью специально сформированного UDP пакета, отправленного на порт 26000, аварийно завершить работу сервера.

URL производителя: www.vavoom-engine.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA